<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class () extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('inspeksi', function (Blueprint $table) {
            if (Schema::hasColumn('inspeksi', 'jenis_jaminan_id')) {
                $table->dropForeign(['jenis_jaminan_id']);
            }

            if (Schema::hasColumn('inspeksi', 'jenis_jaminan_id')) {
                $table->dropColumn('jenis_jaminan_id');
            }

            $table->unsignedBigInteger('dokument_id')->nullable()->after('permohonan_id');
            $table->foreign('dokument_id')->references('id')->on('dokumen_jaminan')->onDelete('cascade');

        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {

        Schema::table('inspeksi', function (Blueprint $table) {

            $table->dropForeign(['dokument_id']);
            $table->dropColumn('dokument_id');

            $table->unsignedBigInteger('jenis_jaminan_id')->nullable()->after('permohonan_id');
            $table->foreign('jenis_jaminan_id')->references('id')->on('jenis_jaminan')->onDelete('cascade');
        });

    }
};
